Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
bqtuanks

<Nhờ Giúp Đỡ> Chọn Đối Tượng Theo Trục X Hoặc Trục Y

Các bài được khuyến nghị

Chào các bác. Em muốn xóa các đối tượng (gồm text hoặc line) theo phương trục X hoặc trục Y em đã dùng text alignment x trong quick select để chọn mà sau khi gõ lệnh xong thì là chọn toàn bộ đối tượng chứ không chọn đối tượng theo trục . Các bác có cách nào chọn đối tượng theo trục không cho em biết với ? Cảm ơn các bác nhiều.

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thế nào là các đối tượng theo phương trục X/Y?

Như thế này bạn ạ. Mình muốn xóa các đối tượng theo các dòng 2 và 3 như bản vẽ đính kèm. Thì có cách nào để xóa không ? Mình xem properties thì thấy các đối tượng text ở dòng 3 cùng Text Alignment Y = 125.3115 . và các line dọc ở dòng 2 có cùng start y và end y. Như thế mình có thể lọc các text có cùng tính chất như thế ra để xóa cho nhanh được không ? http://www.cadviet.com/upfiles/5/145898_trac_ngang.dwg

Cảm ơn bạn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn thử cái này xem:

(defun c:test (/ ss mau y10 y11)

(if (setq mau (car (entsel "\nChon Text, Line mau: ")))

(progn (setq y10 (cadr (cdr (assoc 10 (entget mau))))

y11 (cadr (cdr (assoc 11 (entget mau)))))

(setq ss (ssget "_X"

(list (cons 0 "TEXT,LINE")

(cons -4 "<AND")

(cons -4 "*,=,*")

(cons 10 (list 0.0 y10 0.0))

(cons -4 "*,=,*")

(cons 11 (list 0.0 y11 0.0))

(cons -4 "AND>"))))

(command "erase" ss "")))

(princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Như thế này bạn ạ. Mình muốn xóa các đối tượng theo các dòng 2 và 3 như bản vẽ đính kèm. Thì có cách nào để xóa không ? Mình xem properties thì thấy các đối tượng text ở dòng 3 cùng Text Alignment Y = 125.3115 . và các line dọc ở dòng 2 có cùng start y và end y. Như thế mình có thể lọc các text có cùng tính chất như thế ra để xóa cho nhanh được không ? http://www.cadviet.com/upfiles/5/145898_trac_ngang.dwg

Cảm ơn bạn

 

Có thể dùng filter 

Ví dụ Chọn các Text ở dòng 2 và dòng 3 trong bản vẽ :

4652_filter.png

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×